Freeciv-3.2: fc_icons Class Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Static Private Attributes
fc_icons Class Reference

`#include <fc_client.h>`

## Public Member Functions

QIcon | get_icon (const QString &id)
QPixmap * | get_pixmap (const QString &id)
QString | get_path (const QString &id)

## Static Public Member Functions

static fc_icons * | instance ()
static void | drop ()

## Private Member Functions

| Q_DISABLE_COPY (fc_icons)
| fc_icons ()

## Static Private Attributes

static fc_icons * | m_instance = 0

## Detailed Description

Definition at line 87 of file fc_client.h.

## Constructor & Destructor Documentation

## ◆ fc_icons()

fc_icons::fc_icons | ( |  | ) |

explicitprivate

Icon provider constructor

Definition at line 988 of file fc_client.cpp.

Referenced by instance().

## Member Function Documentation

## ◆ drop()

void fc_icons::drop | ( |  | ) |

static

Deletes fc_icons instance

Definition at line 1006 of file fc_client.cpp.

## ◆ get_icon()

QIcon fc_icons::get_icon | ( | const QString & | id | ) |

Returns icon by given name

Definition at line 1017 of file fc_client.cpp.

Referenced by fc_client::update_start_page().

## ◆ get_path()

QString fc_icons::get_path | ( | const QString & | id | ) |

Returns path for icon

Definition at line 1076 of file fc_client.cpp.

## ◆ get_pixmap()

QPixmap * fc_icons::get_pixmap | ( | const QString & | id | ) |

Returns pixmap by given name, pixmap needs to be deleted by someone else

Definition at line 1046 of file fc_client.cpp.

Referenced by close_widget::close_widget(), fc_double_edge::fc_double_edge(), move_widget::move_widget(), qfc_dialog::qfc_dialog(), qtg_init_meeting(), resize_widget::resize_widget(), and scale_widget::scale_widget().

## ◆ instance()

fc_icons * fc_icons::instance | ( |  | ) |

static

Returns instance of fc_icons

Definition at line 995 of file fc_client.cpp.

Referenced by city_dialog::city_dialog(), close_widget::close_widget(), fc_client::create_game_page(), fc_client::create_start_page(), fc_corner::fc_corner(), fc_double_edge::fc_double_edge(), pregame_options::init(), move_widget::move_widget(), notify_goto::notify_goto(), qfc_dialog::qfc_dialog(), qtg_init_meeting(), fc_client::reload_sidebar_icons(), resize_widget::resize_widget(), diplo_wdg::restore_pixmap(), scale_widget::scale_widget(), choice_dialog::set_layout(), unit_actions::update_actions(), pregame_options::update_buttons(), and fc_client::update_start_page().

## ◆ Q_DISABLE_COPY()

fc_icons::Q_DISABLE_COPY | ( | fc_icons |  | ) |

private

## Field Documentation

## ◆ m_instance

fc_icons * fc_icons::m_instance = 0

staticprivate

Definition at line 93 of file fc_client.h.

Referenced by drop(), and instance().